Subject: [xmpp] Unique ids.

From: Kevin Smith <[email-masked]>
Date: Tue, 8 Jun 2010 16:52:35 +0100

In section 8.1.3,
"  It is up to the originating entity whether the value of the 'id'
   attribute will be unique only within its current stream or unique
   globally."
I don't know if more text is needed to explain that even if the ids
you generate are unique globally, the stanzas you receive over the
same stream may have repeated ids from different entities.
(e.g. b and c both sending messages to a with the same id as a used on
an iq sent to d).

/K